
ChiliProject - Feature # 134: Bug report helper

Status: Open Priority: Normal
Author: Derek Montgomery Category:
Created: 2011-02-03 Assignee: Holger Just
Updated: 2011-05-27 Due date:
Remote issue URL: http://www.redmine.org/issues/5420
Affected version:
Description: In the Settings of CP, under Information, you should add a new item: Troubleshooting.

It would contain most of the required information needed to properly open a bug on CP tbug tracker:
* ChiliProject version or revision and where you got it from (Examples: tag 1.1.0 from git, Debian package 
version 1.1.0)
* Ruby version (Example: 1.8.7)
* Rails version (Example: 2.3.5)
* Database including version if that is possible (Example: PostgreSQL 8.2)
* Installed SCM including version if that is possible (Example: svn 1.6.11)
* Error trace if ChiliProject crashed, if present in log/production.log
* Publication service used (Webrick, Apache with Passenger, Thin...) if possible

That, with a template of how to properly describe a bug and a link to the tracker would probably improve bug 
submissions (for those which still let the administrators log in their CP of course)

Associated revisions
2011-11-25 09:50 pm - Eric Davis
Merge pull request #134 from schmidt/pulls/725/unstable

[#725] Compatibility check for jQuery availability (unstable)

History
2011-02-03 02:55 pm - Holger Just
- (deleted custom field) set to http://www.redmine.org/issues/5420

- Assignee changed from Eric Davis to Holger Just

I worked a bit on that for Redmine already. The code is at https://github.com/meineerde/redmine/tree/5420-redmine-info.

It extends the @/admin/info@ page and @script/about@ output. It already shows much of the requested info. However, some of the additional stuff 
(like the actual database version) is really hard to get by without guessing.

I could add a _How-to report a bug_ page with all that information pre-filled for copy and paste. Good idea here.

2011-02-03 10:51 pm - Holger Just
Moved the code to https://github.com/meineerde/chiliproject/tree/issues/134-bug-report-helper

2011-05-27 11:59 am - Muntek Singh
My wishlist (from the redmine bug and #429):

* Redmine Version
** @svn info@
** @git show HEAD@
** Point release installed from package

2020-10-25 1/2



* Ruby version
* RubyGems version
* Rack version
* Rake version
* Rails version
* Active Record version
* Active Resource version
* Action Mailer version
* Active Support version
* Application root
* RAILS_ENV
* Database adapter
* Database schema version
* Information about the environment Redmine is installed
* Backend server information
** Is it running apache, nginx, passenger, thin, mongrel, etc.
*** If so what versions?
*** Where would the relevant log files for this backend typically be
** OS info 
* Database
** Encoding
* Plugin List
** Including version info of each plugin
* Settings
** Theme name if non-default
** Message encoding (UTF8?)
